--Realizado por Jos David Fernndez Rodrguez como proyecto de fin de carrera
{-|
    Module      :  State
    Copyright   :  (c) Pepe David 2003
    License     :  wxWindows
    Maintainer  :  mail@not.available
    Stability   :  provisional
    Portability :  portable

Para tratar de manera uniforme al concepto de atributo las variables de estado que precise
la aplicacin, incluimos un seudoobjeto que simplemente guarda un valor
-}
module Graphics.UI.Yahu.State (
	-- * Tipo
	State
	-- * funcin generadora
	, state
	) where

import Graphics.UI.WXH
import Graphics.UI.Yahu.Attr
import Graphics.UI.Yahu.Attrs

{- | objeto que encapsula un valor de un tipo arbitrario (pero fijo para cada instancia)
consultable como atributo. Equivalente a la clsica variable imperativa, pero a la vez mucho
ms poderoso, pues se puede guardar CUALQUIER cosa que sea un /first class citizen/
haskell: tipos primitivos, tipos algebraicos, acciones mondicas, funciones... Piensa
en formas ms originales de uso que una anodina variable de cualquier lenguaje imperativo!-}
newtype State a = MkState (Var a)

instance Eq (State a) where
  (MkState ref1) == (MkState ref2) = ref1==ref2

instance Data State where
  value = newAttr (\(MkState st)->varGet st,
		   \(MkState st) val -> varSet st val)

{- | genera un state. Si no se provee un valor inicial en la lista de atributos a escribir
inicialmente, al intentar leerlo resultar en un error sin recuperacin posible, abortando
la aplicacin abruptamente-}
state :: [Prop (State a)] -> IO (State a)
state props = do {
	; v <- varCreate (error "Graphics.UI.Yahu.State: state value cannot be readed before init it\n")
	; let ret = MkState v
	; set ret props
	; return ret
	}


